# Poco::Prometheus

# class MetricsRequestHandler

Library: Prometheus
Package: HTTP
Header: Poco/Prometheus/MetricsRequestHandler.h

## Description

This class handles incoming HTTP requests for metrics in the Prometheus text format.

## Inheritance

Direct Base Classes: Poco::Net::HTTPRequestHandler

All Base Classes: Poco::Net::HTTPRequestHandler

## Member Summary

Member Functions: handleRequest

Inherited Functions: handleRequest

## Constructors

### MetricsRequestHandler

MetricsRequestHandler();

Creates a HTTPRequestHandler using the default Registry.

### MetricsRequestHandler

MetricsRequestHandler(
const Registry & registry
);

Creates a HTTPRequestHandler using the given Registry.

## Member Functions

### handleRequest

void handleRequest(
Poco::Net::HTTPServerRequest & request,
Poco::Net::HTTPServerResponse & response
) override;